<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.report.mapper.WeekOrgCountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rtuWarnSettingEntityResultMap"
               type="org.springblade.modules.report.entity.WeekOrgCountInfoEntity">
        <result column="name" property="name"/>
        <result column="report_time" property="reportTime"/>
        <result column="report_title" property="reportTitle"/>
        <result column="report_start_time" property="reportStartTime"/>
        <result column="report_start_time" property="reportEndTime"/>
        <result column="rtu_count" property="rtuCount"/>
        <result column="check_order_count" property="checkOrderCount"/>
        <result column="warn_rtu_count" property="warnRtuCount"/>
        <result column="offline_rtu_count" property="offlineRtuCount"/>
        <result column="report_check_order_count" property="reportCheckOrderCount"/>
        <result column="unconfirm_order_count" property="unconfirmOrderCount"/>
        <result column="processing_order_count" property="processingOrderCount"/>
        <result column="others_warn_rtu_count" property="othersWarnRtuCount"/>
     </resultMap>
</mapper>
